Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_AV_UDP_Flow_Handler Class Reference

Flow Handler for UDP flows. More...

`#include <UDP.h>`

Inheritance diagram for TAO_AV_UDP_Flow_Handler:

[legend]
Collaboration diagram for TAO_AV_UDP_Flow_Handler:

[legend]
List of all members.

## Public Methods
| TAO_AV_UDP_Flow_Handler (void)
| Ctor Dtor. More...
virtual | ~TAO_AV_UDP_Flow_Handler (void)
int | open (ACE_Addr &address)
int | close (void)
virtual TAO_AV_Transport * | transport (void)
| get the transport. More...
virtual int | set_remote_address (ACE_Addr *address)
| set the remote address. More...
virtual ACE_HANDLE | get_handle (void) const
virtual int | handle_input (ACE_HANDLE fd)
virtual int | handle_timeout (const ACE_Time_Value &tv, const void *arg=0)
const ACE_SOCK_Dgram * | get_socket (void) const
virtual ACE_Event_Handler * | event_handler (void)
| get the underlying event handler. To be overridden by the derived clases. More...
virtual int | change_qos (AVStreams::QoS)
| Change the QoS. More...
## Protected Attributes
TAO_AV_Core * | av_core_
ACE_INET_Addr | peer_addr_
ACE_SOCK_Dgram | sock_dgram_

## Detailed Description

Flow Handler for UDP flows.

## Constructor & Destructor Documentation

TAO_AV_UDP_Flow_Handler::TAO_AV_UDP_Flow_Handler | ( | void |  | ) |

| Ctor Dtor.

TAO_AV_UDP_Flow_Handler::~TAO_AV_UDP_Flow_Handler | ( | void |  | ) | `[virtual]`

## Member Function Documentation

int TAO_AV_UDP_Flow_Handler::change_qos | ( | AVStreams::QoS | qos | ) | `[virtual]`

| Change the QoS. Reimplemented from TAO_AV_Flow_Handler.

ACE_INLINE int TAO_AV_UDP_Flow_Handler::close | ( | void |  | ) |

virtual ACE_Event_Handler* TAO_AV_UDP_Flow_Handler::event_handler | ( | void |  | ) | `[inline, virtual]`

| get the underlying event handler. To be overridden by the derived clases. Reimplemented from TAO_AV_Flow_Handler.

ACE_HANDLE TAO_AV_UDP_Flow_Handler::get_handle | ( | void |  | ) | const`[virtual]`

| Reimplemented from ACE_Event_Handler.

ACE_INLINE const ACE_SOCK_Dgram * TAO_AV_UDP_Flow_Handler::get_socket | ( | void |  | ) | const

int TAO_AV_UDP_Flow_Handler::handle_input | ( | ACE_HANDLE | fd | ) | `[virtual]`

| Reimplemented from ACE_Event_Handler.

int TAO_AV_UDP_Flow_Handler::handle_timeout | ( | const ACE_Time_Value & | tv,
|  | const void * | arg = 0
| ) | `[virtual]`

| Reimplemented from ACE_Event_Handler.

ACE_INLINE int TAO_AV_UDP_Flow_Handler::open | ( | ACE_Addr & | address | ) |

int TAO_AV_UDP_Flow_Handler::set_remote_address | ( | ACE_Addr * | address | ) | `[virtual]`

| set the remote address. Reimplemented from TAO_AV_Flow_Handler.

TAO_AV_Transport * TAO_AV_UDP_Flow_Handler::transport | ( | void |  | ) | `[virtual]`

| get the transport. Reimplemented from TAO_AV_Flow_Handler.

## Member Data Documentation

TAO_AV_Core* TAO_AV_UDP_Flow_Handler::av_core_`[protected]`

ACE_INET_Addr TAO_AV_UDP_Flow_Handler::peer_addr_`[protected]`

ACE_SOCK_Dgram TAO_AV_UDP_Flow_Handler::sock_dgram_`[protected]`

The documentation for this class was generated from the following files:

- UDP.h
- UDP.cpp
- UDP.i